> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar notas a nivel de organización

> Listar notas de una organización.

<h2 id="permissions">
  Permisos
</h2>

Requiere un [usuario de servicio](/es/api-reference/v3/service-users/members-service-users) o un [token de acceso personal](/es/api-reference/personal-access-tokens) con el permiso `UseDevinSessions` (`org.devins.use`) en la organización especificada.


## OpenAPI

````yaml es/v3-openapi.yaml GET /v3/organizations/{org_id}/knowledge/notes
openapi: 3.1.0
info:
  description: API de Devin v3 con autenticación mediante usuario de servicio y RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/knowledge/notes:
    get:
      tags:
        - notes
      summary: Listar notas a nivel de organización
      description: Listar notas de una organización.
      operationId: handle_list_notes_v3_organizations__org_id__knowledge_notes_get
      parameters:
        - description: 'ID de la organización (prefijo: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: folder_path
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Path
        - in: query
          name: pinned_repo
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pinned Repo
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_KnowledgeNoteResponse_'
          description: Respuesta satisfactoria
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: No autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: No encontrado
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Conflicto
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Contenido no procesable
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Demasiadas solicitudes
components:
  schemas:
    PaginatedResponse_KnowledgeNoteResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Cursor para obtener la siguiente página o None si esta es la última
            página.
          title: End Cursor
        has_next_page:
          default: false
          description: Indica si hay más elementos disponibles tras esta página.
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/KnowledgeNoteResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Recuento total opcional (puede omitirse para mejorar el
            rendimiento).
          title: Total
      required:
        - items
      title: PaginatedResponse[KnowledgeNoteResponse]
      type: object
    ProblemDetail:
      description: >-
        Cuerpo de error RFC 9457 application/problem+json para la API v3.


        detail se conserva del cuerpo heredado {"detail": ...} por
        compatibilidad con versiones anteriores; los

        otros miembros son adicionales. errors contiene errores de validación

        a nivel de campo (solo 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Explicación legible para humanos específica de esta ocurrencia.
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Código legible por máquina que indica el rechazo de una acción
            bloqueada (p. ej., "user_frozen", "migrated_session").
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Errores de validación por campo (solo en respuestas 422).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: Una referencia URI (la ruta de la solicitud) para esta ocurrencia.
          title: Instance
        status:
          description: El código de estado HTTP.
          title: Status
          type: integer
        title:
          description: Un breve resumen del tipo de problema, legible para humanos.
          title: Title
          type: string
        type:
          default: about:blank
          description: Una referencia URI que identifica el tipo de problema.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    KnowledgeNoteResponse:
      properties:
        access_type:
          enum:
            - enterprise
            - org
          title: Access Type
          type: string
        body:
          title: Body
          type: string
        created_at:
          title: Created At
          type: integer
        folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Folder Id
        folder_path:
          title: Folder Path
          type: string
        is_enabled:
          title: Is Enabled
          type: boolean
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        note_id:
          title: Note Id
          type: string
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger:
          title: Trigger
          type: string
        updated_at:
          title: Updated At
          type: integer
      required:
        - note_id
        - folder_id
        - folder_path
        - name
        - body
        - trigger
        - is_enabled
        - created_at
        - updated_at
        - access_type
        - org_id
        - macro
        - pinned_repo
      title: KnowledgeNoteResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuario de servicio (prefijo: cog_)'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.